Subject: Re: bug#11233: 24.1.50; Wishlist: dired mouse-2 other window behavior

From: Stefan Monnier <[email-masked]>
Date: Tue, 13 Nov 2012 12:42:05 -0500

>> As mentioned months ago, I'd like to move away from all the
>> foo(|-other-(frame-window)) madness since I suspect that most users
>> only use one of those alternatives.
>> 
>> So instead, we should only have `find-file' (which the user could
>> customize the use this-window, other-window, or other-frame) and that
>> would be complemented by new prefix commands that cause the next command
>> to use "other-window" or "this-window" or "other-frame".

> What would an appropriate prefix be and how would it coexist with
> ctl-x-4-map and ctl-x-5-map?

The way I see it, C-x 4 would be a new command which sets some vars that
affect subsequent commands (i.e. a prefix command, much like C-u or C-x RET
c) and it would also set-temporary-overlay-map with ctl-x-4-map, so that
C-x 4 f can be used as a shorthand for C-x 4 C-x C-f.

        Stefan